Subject: [PATCH v5][resend v4] of: replace Asahi Kasei Corp vendor prefix

From: [email-masked] (Stephen Warren)
Date: Thu, 08 Jan 2015 21:36:00 -0700

On 01/08/2015 08:40 PM, Kuninori Morimoto wrote:
> 
> Hi Stephen, Olof, Arnd, Rob, Andrew
> 
> I'm sending this "of: replace Asahi Kasei Corp vendor prefix" during
> half-year (since Jun 2014) , many times. But, no-one care it.
> I don't know who is the best maintainer.
>  - Stephen : because it has Tegra ?
>  - Olof    : because it has Tegra (= ARM) ?
>  - Arnd    : because it has Tegra (= ARM) ?
>  - Matthias: because it has Tegra (= ARM SoC) ?
>  - Rob     : because DT ?
>  - Andrew  : Last chance ?
> 
> But, could you please care this patch ?
> I will re-send it again

It doesn't seem to be ack'd by any of the DT maintainers. Retro-actively
changing a DT vendor name would need that, I think.

Thierry and Alex (both Tegra maintainers) appear to have ack'd it, so it
seems they expect it to go through some tree other than Tegra. Weren't
there a bunch of related patches along with this (e.g. updating relevant
drivers to support both prefixes?) so it was expected this patch would
be applied together with them?

>> From: Kuninori Morimoto <[email-masked]>
>>
>> Current vendor-prefixes.txt already has "ak" prefix for Asahi Kasei Corp
>> by ae8c4209af2c(of: Add vendor prefix for Asahi Kasei Corp.)
>>
>> It went through the appropriate review process. But, almost all
>> Asahi Kasei chip drivers are using "asahi-kasei" prefix today.
>> (arch/arm/boot/dts/tegra20-seaboard.dts only is using "ak,ak8975",
>>  but there are instances of "asahi-kasei,ak8975" in other dts files.
>>  And drivers/iio/magnetometer/ak8975.c doesn't support "ak,ak8975" prefix)
>> So, we made a mistake there.
>>
>> In addition, checkpatch.pl reports WARNING if it is using "asahi-kasei"
>> prerfix in DT file.
>> (DT compatible string vendor "asahi-kasei" appears un-documented)
>>
>> Marking it deprecated and warning with checkpatch is certainly
>> preferable. So, this patch replace "ak" to "asahi-kasei" in
>> vendor-prefixes.txt. (and fixup tegra20-seaboard)
>>
>> OTOH, Asahi Kasei is usually referred to as "AKM", but this patch
>> doesn't care about it. Because no DT is using that today.
>>
>> Signed-off-by: Kuninori Morimoto <[email-masked]>
>> Acked-by: Thierry Reding <[email-masked]>
>> Acked-by: Alexandre Courbot <[email-masked]>

>> diff --git a/Documentation/devicetree/bindings/vendor-prefixes.txt b/Documentation/devicetree/bindings/vendor-prefixes.txt

>> -ak	Asahi Kasei Corp.

>> +asahi-kasei	Asahi Kasei Corp.

>> diff --git a/arch/arm/boot/dts/tegra20-seaboard.dts b/arch/arm/boot/dts/tegra20-seaboard.dts

>>  		magnetometer at c {
>> -			compatible = "ak,ak8975";
>> +			compatible = "asahi-kasei,ak8975";